gtml (3.6.1-3) unstable; urgency=medium

  * New release for trixie.
  * Update copyright year for Debian contributions in debian/copyright.
  * Bump standards version to 4.6.2.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 17 Feb 2024 15:54:58 +0000

gtml (3.6.1-2) unstable; urgency=medium

  * Accept Janitor change to add upstream Bug-Submit metadata field.
  * Fix name of Lintian override per warning from Lintian.
  * Bump standards version to 4.6.1.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 05 Sep 2022 22:29:17 +0000

gtml (3.6.1-1) unstable; urgency=medium

  * New upstream release & source of record at GitHub.
    - Update debian/control to reflect new upstream location
    - Update debian/copyright to reflect new upstream location & license
    - Update debian/watch to reflect new upstream location
    - Update debian/upstream/metadata to reflect new upstream location & license
    - Update debian/rules to reflect new source structure & to remove examples
    - Remove debian/gtml.lintian-overrides, which is no longer applicable
    - Adjust debian/source/lintian-overrides to reflect new package structure

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 06 Jan 2022 02:36:53 +0000

gtml (3.5.4-31) unstable; urgency=medium

  * Bump standards version to 4.6.0.0 (no packaging changes).
  * Update debian/watch to reflect version 4 format (no changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 18 Aug 2021 16:00:11 +0000

gtml (3.5.4-30) unstable; urgency=medium

  * Fix incorrect changelog entry in 3.5.4-29 (for gpg-signature override).
  * Mark package as Multi-Arch: foreign per indication on qa.debian.org.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 29 Oct 2020 21:19:41 +0000

gtml (3.5.4-29) unstable; urgency=medium

  * Package cleanup based on a review at qa.debian.org.
    - Add "Forwarded: not-needed" to defined-array and includeliteral patches
    - Add Lintian override for debian-watch-does-not-check-gpg-signature
    - Add Lintian override for national-encoding
    - Update debian/control to move to debhelper-compat (= 13)
    - Update debian/control to set Rules-Requires-Root: no
    - Add a debian/upstream/metadata file

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 29 Oct 2020 19:36:23 +0000

gtml (3.5.4-28) unstable; urgency=low

  * Bump standards version to 4.5.0.0 (no packaging changes).
  * Accept package cleanup from Debian Janitor.
    - Trim trailing whitespace.
    - Move source package lintian overrides to debian/source.
    - Fix day-of-week for changelog entries 3.5.2-1, 3.3.6-1.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 27 Jun 2020 17:01:50 +0000

gtml (3.5.4-27) unstable; urgency=medium

  * Bump standards version to 4.4.0.1 (no packaging changes).
  * Build-Depend on debhelper-compat (= 12) and remove debian/compat.
  * Remove special logic in debian/rules to deal with index.html (not needed).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 10 Aug 2019 19:42:38 +0000

gtml (3.5.4-26) unstable; urgency=medium

  * Use https protocol in debian/watch (contributed by Ondřej Nový).
  * Make testing improvements, including contributions from Ondřej Nový:
    - Use AUTOPKGTEST_ vars instead of ADT_ in test suite

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 20 Oct 2018 10:18:41 +0000

gtml (3.5.4-25) unstable; urgency=medium

  * Bump standards version to 4.2.1.0 (no packaging changes).
  * Convert to correct https copyright file URI.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 16 Sep 2018 18:09:44 +0000

gtml (3.5.4-24) unstable; urgency=medium

  * Bump standards version to 4.2.0.1 (no packaging changes).
  * Override Lintian warning about unapplied patch (which is intentional).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 07 Aug 2018 01:51:48 +0000

gtml (3.5.4-23) unstable; urgency=medium

  * Convert Debian packaging from Subversion to Git.
  * Bump standards version to 4.1.3.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 03 Jan 2018 02:40:51 +0000

gtml (3.5.4-22) unstable; urgency=medium

  * Bump standards version to 4.1.1.0 (no packaging changes)
  * Fix Lintian warnings.
    - Remove "Testsuite: autopkgtest" from debian/control
    - Remove <link rel="Begin"> from package docs to avoid privacy breach

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 12 Nov 2017 21:17:47 +0000

gtml (3.5.4-21) unstable; urgency=medium

  * Bump standards version to 4.0.0.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 02 Jul 2017 21:19:19 +0000

gtml (3.5.4-20) unstable; urgency=medium

  * Give up on making the test suite work in the debci environment.
    - Add notes to debian/patches/project and improve-error-handling.patch
    - Remove improve-error-handling.patch from the applied series
    - Fall back recent diagnostics in debian/patches/project
    - Adjust debian/patches/project to exit if user is 'debci'

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 25 Jun 2016 14:26:17 +0000

gtml (3.5.4-19) unstable; urgency=medium

  * Add more diagnostics into smoketest and improve-error-handling.patch.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 22 Jun 2016 18:02:57 +0000

gtml (3.5.4-18) unstable; urgency=medium

  * Add more diagnostics into smoketest and remove configured delay (useless).
  * Add improve-error-handling.patch to improve error-handling for open() calls.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 21 Jun 2016 18:34:53 +0000

gtml (3.5.4-17) unstable; urgency=medium

  * Bump standards version to 3.9.8.0 (no packaging changes).
  * Try to make the smoketest more stable in the debci environment.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 20 Jun 2016 10:23:05 -0500

gtml (3.5.4-16) unstable; urgency=medium

  * Fix FTBFS; smoke test should use gtml from the source tree (closes: #795324)

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 13 Aug 2015 13:09:08 -0500

gtml (3.5.4-15) unstable; urgency=medium

  * Remove make and diffutils from build deps; they're essential packages.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 11 Aug 2015 18:13:40 -0500

gtml (3.5.4-14) unstable; urgency=medium

  * Add support for the Debian continuous integration environment.
    - Update debian/control to list Testsuite: autopkgtest
    - Add debian/tests/control to list tests for CI environment
    - Update debian/rules to run smoke tests via debian/smoketest
    - Add build deps on diffutils and make to support the smoke tests

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 11 Aug 2015 14:33:07 -0500

gtml (3.5.4-13) unstable; urgency=medium

  * Bump standards version to 3.9.6.1 (no packaging changes).
  * Fix all patches to eliminate the unnecessary leading # character.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 05 Aug 2015 13:54:11 -0500

gtml (3.5.4-12) unstable; urgency=medium

  * Bump standards version to 3.9.6.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 03 Oct 2014 19:57:12 +0000

gtml (3.5.4-11) unstable; urgency=low

  * Fix deprecation warnings in patches/defined-array.patch (closes: #739905).
  * Remove obsolete patches/deprecation.patch added in previous release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 23 Feb 2014 22:33:45 +0000

gtml (3.5.4-10) unstable; urgency=low

  * Bump standards version to 3.9.5.0 (no packaging changes).
  * Disable deprecation warnings that now appear with Perl v5.18.2.
    - Add "no warnings 'deprecated';" in gtml script
    - Create patches/deprecation.patch to hold this change

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 23 Feb 2014 09:39:25 -0600

gtml (3.5.4-9) unstable; urgency=low

  * Convert debian/rules to debhelper7.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 24 Apr 2013 16:36:39 +0000

gtml (3.5.4-8) unstable; urgency=low

  * Bump standards version to 3.9.4.0; no packaging changes.
  * Make minor tweaks in debian/rules for consistency.
    - Add new .PHONY targets for all rules that don't create files
    - Change binary to depend on binary-arch and binary-indep
    - Change binary-arch to depend on install, not build and install
    - Change build to depend on build-arch and build-indep
    - Change build-arch and build-indep to depend on build-stamp
    - Move pod2man and index.html soft link into build-stamp target

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 31 Dec 2012 19:59:42 +0000

gtml (3.5.4-7) unstable; urgency=low

  * Update to machine-readable debian/copyright file format, version 1.0.
  * Bump standards version to 3.9.3.0; no packaging changes.
  * Move to debhelper (>= 9) and debian/compat=9, which is the new standard.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 12 Mar 2012 12:06:16 -0500

gtml (3.5.4-6) unstable; urgency=low

  * Bump standards version to 3.9.2.0; no packaging changes.
  * Remove screwed-up debian-changes patch that got accidentally checked in.
  * Fix Lintian warning: debian-rules-missing-recommended-target
    - Restructure build, build-arch, build-indep targets in debian/rules

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 05 Aug 2011 16:20:51 -0500

gtml (3.5.4-5) unstable; urgency=low

  * Bump standards version to 3.9.0.0.
  * Tweak debian/copyright formatting.
  * Change patch format to be more consistent with my other packages.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 28 Jun 2010 13:40:42 -0500

gtml (3.5.4-4) unstable; urgency=low

  * New maintainer (closes: #547982).
  * Tweak debian/rules to create the index.html soft link (not in CVS).
  * Tweak debian/rules to bump package version passed to pod2man.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 03 Jun 2010 02:41:36 +0000

gtml (3.5.4-3) unstable; urgency=low

  * QA upload
    - Set maintainer to Debian QA Group <packages@qa.debian.org>
  * debian/control:
    - Add Homepage field
    - Bump Standards-Version to 3.8.4
    - Update synopsis
    - Add ${misc:Depends}
    - Bump debhelper Build-Depends to 7
  * debian/compat: Added
  * debian/watch: Updated
  * debian/patches/01_support_includeliteral.patch: Added
  * debian/copyright: Convert to new dep5 version
  * debian/gtml.doc-base: Register documentation with doc-base
  * debian/rules: Minor cleanup
  * Switch to 3.0 (quilt) source format

 -- Vincent Legout <vincent@legout.info>  Fri, 12 Feb 2010 12:48:12 +0800

gtml (3.5.4-2) unstable; urgency=low

  * Added a patch to support #includeliteral support thanks to Flavio
    Stanchina. This is equivalent to putting #literal ON as first line of the
    include file and then #literal OFF as the last line which may not be
    possible for many files. (closes: #340963)

 -- Adam Majer <adamm@zombino.com>  Sun, 27 Nov 2005 15:18:20 -0600

gtml (3.5.4-1) unstable; urgency=low

  * New upstream release and new upstream (http://sf.net/projects/gtml)
  * Added a watch file

 -- Adam Majer <adamm@zombino.com>  Fri, 29 Oct 2004 16:24:27 -0500

gtml (3.5.3-2) unstable; urgency=low

  * New Maintainer (closes: #123477)

 -- Adam Majer <adamm@zombino.com>  Mon, 31 Dec 2001 21:26:01 -0600

gtml (3.5.3-1) unstable; urgency=low

  * QA upload.
  * New upstream version.
  * Package is orphaned; maintainer set to Debian QA Group.
  * Acknowledge NMU.  Closes: #93914.
  * Switched to debhelper 3.
  * Added perl to build dependencies for pod2man.
    s/Build-Depends/Build-Depends-Indep/
  * Doesn't use any modules, so no perl dependency needed.
  * debian/gtml.pod: Fixed formatting.
  * debian/changelog: Removed obsolete Emacs local variables.
  * Conforms to Standards version 3.5.6.

 -- Matej Vela <vela@debian.org>  Tue, 25 Dec 2001 22:15:20 +0100

gtml (3.5.2-1.1) unstable; urgency=low

  * Bugsquash party NMU.
  * FHS updates (closes: #91170, #91503). This requires a versioned
    build-dependency on debhelper, and hence Standards-Version: 3.1.1.
  * Don't try to call strip on a Perl script.
  * Remove call to obsolete dh_suidregister.

 -- Colin Watson <cjwatson@debian.org>  Sat, 14 Apr 2001 02:07:58 +0100

gtml (3.5.2-1) unstable; urgency=low

  * New upstream version.

 -- Raphael Bossek <bossekr@debian.org>  Mon, 09 Aug 1999 20:17:35 +0200

gtml (3.3.6-3) unstable; urgency=low

  * Confirms with debien policy 3.0.1.

 -- Raphael Bossek <bossekr@debian.org>  Sat, 28 Aug 1999 00:51:29 +0200

gtml (3.3.6-2) unstable; urgency=low

  * Some improvements

 -- Raphael Bossek <bossekr@debian.org>  Sun,  8 Aug 1999 06:54:11 +0200

gtml (3.3.6-1) unstable; urgency=low

  * Initial release (considered unstable, but seems pretty stable to me.)

 -- Raphael Bossek <bossekr@debian.org>  Fri, 18 Jun 1999 14:11:32 +0200
